print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local portoHudFile = "Paletten/hud_fill_porto.dds"
	local portoHudFileSmall = "Paletten/hud_fill_porto_small.dds"
	
    local portoFilType = g_fillTypeManager:addFillType("PORTO", g_i18n:getText("porto"), true, pricebeer * 3.0, 0.00045, math.rad(10), portoHudFile, portoHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasporto=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasporto=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PORTO" then
		hasporto=true
	end;
		
end;

		if hasmaize and not hasporto then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PORTO")
		local price = g_fillTypeManager:getFillTypeByName("PORTO").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PORTO")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)